apiVersion: v1
kind: ConfigMap
metadata:
  name: netdata-config
  namespace: observability
data: 
  netdata: |
    [global]
      memory mode = none
      cleanup obsolete charts after seconds = 30
    [health]
      enabled = no
    [plugins]
      proc = yes

      tc = no
      idlejitter = no
      checks = no
      apps = no
      charts.d = yes
      node.d = no
      python.d = no
      go.d = yes
      cgroups = yes

      plugins directory = /usr/libexec/netdata/plugins.d
      enable running new plugins = no
      check for new plugins every = 60

  go: |
    enabled: yes
    default_run: no
    modules:
      k8s_kubelet: yes
      k8s_kubeproxy: yes

  charts: |
    enable_all_charts="no"
    sensors=force
  
  stream: |
    [stream]
      enabled = yes
      destination = $SMARTER_CLOUD_IP:2521
      api key = 11111111-2222-3333-4444-555555555555
      timeout seconds = 60
      buffer size bytes = 1048576
      reconnect delay seconds = 5
      initial clock resync iterations = 60

  kubelet: |
    update_every: 1
    autodetection_retry: 0
    jobs:
      - url: http://127.0.0.1:10255/metrics

  kubeproxy: |
    update_every: 1
    autodetection_retry: 0
    jobs:
      - url: http://127.0.0.1:10249/metrics